*
* Example 3.5 from page 78
*
open data ex35.xls
data(format=xls,org=columns) 1 50 obs enb env
*
linreg enb
# constant env
*
* stats with the fractiles option will produce both moment-based
* statistics (mean, variance, skewness, kurtosis), but also those
* based upon fractiles (median, maximum, minimum among others).
*
stats(fractiles) %resids
*
* @histogram is a specialized procedure for doing a histogram of
* a series. You'll note that this doesn't reproduce the precise
* diagram in the text. The difference is that RATS uses intervals
* centered around the key points, so that, for instance, the middle
* interval covers [-1.25,1.25), while the histogram in the text
* uses justified intervals, such as [0.0,2.5).
*
@histogram(header='Figure 3.6 Histogram of Residuals',hlabel='Residual per thousand enrollment',$
  vlabel='Number of States',maxgrid=16,counts) %resids


