*
* Example 6.2 from page 154
*
open data ex61.xls
data(format=xls,org=columns) 1 20 obs hexp inc
*
* Goldfeld-Quandt test. This is particularly easy to do
* here because the data set is sorted by the test variable
* (income) and has a sizable gap in the middle.
*
linreg(smpl=(inc<=10)) hexp
# constant inc
compute ess1=%rss,ndf1=%ndf
linreg(smpl=(inc>10)) hexp
# constant inc
compute ess2=%rss,ndf2=%ndf
cdf(title='Goldfeld-Quandt Test') ftest (ess2/ndf2)/(ess1/ndf1) ndf2 ndf1

