*
* Example 9.1 from page 239
*
* The example 3.2 data set doesn't run as far back as the one
* described in the text. We'll use the observations that are
* available.
*
open data ex32.xls
calendar 1954 1 4
all 1995:02
data(format=xls,org=columns) / gc gyd
open data ex91b.xls
data(format=xls,org=columns) / fygn3
*
set dc = gc-gc{1}
set dy = gyd-gyd{1}
*
* This does an unconstrained distributed lag (not done in book).
*
linreg dc
# constant dy{0 to 4} fygn3
summarize
# dy{0 to 4}
*
@pdlreg dc * 1995:1
# constant dy{0 to 4} fygn3
summarize
# dy{0 to 4}
@pdlreg(constraint=far) dc * 1995:1
# constant dy{0 to 4} fygn3
summarize
# dy{0 to 4}
@pdlreg(constraint=both) dc * 1995:1
# constant dy{0 to 4} fygn3
summarize
# dy{0 to 4}

