*
* Example 10.3 from page 284
*
open data ex67.xls
calendar 1947 1 4
data(format=xls,org=columns) 1947:01 1995:03 gcq gydq
*
nonlin a0 a1 a2
frml cfrml gcq = a0+a1*gydq**a2
*
compute a0=a1=a2=1.0
nlls(frml=cfrml,iters=100)
*
* There are several RATS instructions for doing "Wald" tests
* on the last regression. TEST is used for testing that
* a coefficient is equal to some values (or a joint test that
* several coefficients take specific values). Here, this tests
* that the 3rd coefficient is equal to 1.0.
*
test(title='Test of Linearity')
# 3
# 1.0
*
* The log likelihood value is saved into %logl. We get it
* for the unrestricted model.
*
compute llnonlin=%logl
*
* And then re-estimate it for the linear one.
*
nonlin a0 a1 a2=1.0
nlls(frml=cfrml,iters=100)
*
compute lllinear=%logl
*
cdf(title='LR Test of Linearity') chisqr -2*(lllinear-llnonlin) 1


