*
* Example 16.1 from page 500
*
open data ex161.xls
calendar 1960 1 12
data(format=xls,org=columns) 1960:01 1996:03 fygn3
*
graph(header='Figure 16.7 Three-month Treasury Bill Rate')
# fygn3
set drate = fygn3-fygn3{1}
graph(header='Figure 16.9 Three-month Treasury Bill Rate-first differences')
# drate
set d2rate = drate-drate{1}
graph(header='Figure 16.11 Three-month Treasury Bill Rate-first differences')
# d2rate
*
* BJIDENT is a specialized procedure which helps you choose the proper
* level of differencing. It computes and graphs the autocorrelations
* (and partial autocorrelations) of various differencings of the series.
* The DIFFS=2 option tells it to do all differences up to and including
* 2, that is, none, 1 and 2.
*
@bjident(diffs=2,number=40) fygn3


