*
* Example 4.2 from page 93.
*
open data ex42.xls
calendar 1959 1 12
all 1996:02
data(format=xls,org=columns) 1959:01 1996:02 fygn3 ip fm2 pw
*
* This generates period over period growth rates. Note that
* these aren't annualized.
*
set gm2 = (fm2-fm2{1})/fm2{1}
set gpw = (pw-pw{1})/pw{1}
*
* The regression is run over a specific time interval. Just
* as with the transformations, you indicate a lagged regressor
* by including the {lag} notation after the series.
*
linreg fygn3 1960:01 1995:08
# constant ip gm2 gpw{1}

