*
* Example 12.4 from page 364
*
open data ex124.xls
calendar 1920
all 1941:01
data(format=xls,org=columns) 1920:01 1941:01 year c p wp in k1 x wg g tax
set totwage = wp+wg
set trend   = (t-1931:1)
*
equation conseq c
# p totwage p{1} constant
equation inveq in
# p{0 1} k1 constant
equation wageeq wp
# x x{1} trend constant
*
* 2SLS
* Note that table 12.2 shows variances, not standard errors.
*
instruments constant trend wg g tax p{1} x{1} k1
linreg(inst,equation=conseq)
linreg(inst,equation=inveq)
linreg(inst,equation=wageeq)
*
* 3SLS
* (Results in the book appear to have been done somewhat
*  incorrectly. The results that RATS produces match
*  other published estimates).
*
sur(inst) 3
# conseq
# inveq
# wageeq


